Subject: Re: [PATCH v2 06/20] t1092: compare sparse-checkout to sparse-index

From: Derrick Stolee <[email-masked]>
Date: Thu, 11 Mar 2021 09:17:58 -0500

On 3/10/2021 6:04 PM, Elijah Newren wrote:
> On Wed, Mar 10, 2021 at 11:31 AM Derrick Stolee via GitGitGadget
> <[email-masked]> wrote:
>> Add GIT_TEST_SPARSE_INDEX environment variable to enable the
>> sparse-index by default. This will be intended to use across the entire
>> test suite, except that it will only affect cases where the
>> sparse-checkout feature is enabled.
> 
> This last sentence was a bit awkward to read.  "will be intended to
> use" -> "is intended to be used"?

Fixed locally to:

    Add the GIT_TEST_SPARSE_INDEX environment variable to enable the
    sparse-index by default. This can be enabled across all tests, but that
    will only affect cases where the sparse-checkout feature is enabled.
 
>> +test_sparse_match () {
>> +       run_on_sparse $* &&
> 
> Should this be
>    run_on_sparse "$@"
> in order to allow arguments with spaces?

Sorry I missed this one. It was fixed to the right use in
"sparse-index: convert from full to sparse" so I thought I
had already covered this one when looking at the tip of my
branch.
 
Thanks,
-Stolee